Bug #1692

Showtime not updating youtube plugin to latest version

Added by Alexandre Zia over 7 years ago. Updated almost 7 years ago.

Status:FixedStart date:04/21/2013
Priority:NormalDue date:
Assignee:Andreas Smas% Done:

0%

Category:Plugins
Target version:4.4
Found in version:4.3.185.g4beab Platform:PS3

Description

Hi,

Youtube plugin has been recently updated to version 2.0.2 due to a youtube API change that broke video play

As you can see, youtube plugin json is reporting 2.0.2 version already:
https://raw.github.com/facanferff/showtime-plugins/master/youtube/plugin.json

But showtime webservice is still reporting 2.0.1 version:
http://showtime.lonelycoder.com/plugins/plugins-v1.json

you can run this cmdline in bash to better visualization:
string=$(curl --stderr /dev/null http://showtime.lonelycoder.com/plugins/plugins-v1.json)
php r "\$string = json_decode(\$argv[1]);foreach(\$string>plugins as \$plugin){if ( \$plugin->id != 'youtube' ) continue;print_r(\$plugin);}" "${string}"

This is preventing youtube plugin update and so video playback is broken until updated to 2.0.2 version

Regards,
Alexandre Zia

History

#1 Updated by Alexandre Zia over 7 years ago

Seems like text indentation messed ticket visualisation and php \-r generated a strike over effect

#2 Updated by Andreas Smas over 7 years ago

This is some weird bug in the plugin management software. Not sure what's causing it yet.

#3 Updated by Andreas Smas over 7 years ago

  • Status changed from New to Fixed

I hope it's fixed now. I've restarted the plugin manager a couple of times and it still seems ok.

#4 Updated by Alexandre Zia over 7 years ago

Thanks a lot Andreas!

#5 Updated by Andreas Smas almost 7 years ago

  • Target version set to 4.4

Also available in: Atom PDF